import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.Line2D;

public class MouseButtonPanel
    extends JPanel {
    
    boolean clicked;
    int x,y;
    
    public MouseButtonPanel(){
	clicked=false;
	setBorder(BorderFactory.createLineBorder(Color.black,1));
	setBackground(Color.WHITE);
	addMouseListener( new MouseAdapter () {
		public void mouseClicked (MouseEvent e){
		    x=e.getX();
		    y=e.getY();
		    if (e.getButton()==MouseEvent.BUTTON1) {
			setBackground(Color.RED);
		    } else if (e.getButton()==MouseEvent.BUTTON2) {
			setBackground(Color.BLUE);
		    } else if (e.getButton()==MouseEvent.BUTTON3) {
			setBackground(Color.GREEN);
		    }
		    clicked=true;
		    repaint();
		}
	    });
    }
	
    
    public void paintComponent(Graphics gfx) {
        // usual stuff
        super.paintComponent(gfx);
	Graphics2D g = (Graphics2D) gfx;
	g.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
			   RenderingHints.VALUE_ANTIALIAS_ON);

	if (clicked) {
	    g.draw(new Line2D.Double(0,0,x,y));
	    g.draw(new Line2D.Double(getWidth()-1,0,x,y));
	    g.draw(new Line2D.Double(0,getHeight()-1,x,y));
	    g.draw(new Line2D.Double(getWidth()-1,getHeight()-1,x,y));
	}	   
    }
    
}
